Index: /orxonox/trunk/src/subprojects/benchmark.cc
===================================================================
--- /orxonox/trunk/src/subprojects/benchmark.cc	(revision 4553)
+++ /orxonox/trunk/src/subprojects/benchmark.cc	(revision 4554)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -16,5 +16,5 @@
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
-   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
 
@@ -26,5 +26,5 @@
 
 
-#if defined __linux__ 
+#if defined __linux__
 
 #include "list.h"
@@ -59,6 +59,6 @@
   dt = end - ini;
 
-  int type = -1; 
-  /* type   -1 == all 
+  int type = -1;
+  /* type   -1 == all
      type    0 == framework
      type    1 == vector
@@ -69,5 +69,5 @@
     {
       /* framework test*/
-      
+
       printf("Generating Objects:\t\t\t\t\t%i\n", ITERATIONS);
       /* ************WorldEntity class test************** */
@@ -75,45 +75,45 @@
       int i = 0;
       unsigned long mittel = 0;
-      
-      for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  WorldEntity* w = new WorldEntity();
-	  
-	  rdtscl(end);
-	  delete w;
-	  mittel += (end - ini - dt);
-	}
+
+      for(i = 0; i < ITERATIONS; ++i)
+        {
+          rdtscl(ini);
+
+          WorldEntity* w = new WorldEntity();
+
+          rdtscl(end);
+          delete w;
+          mittel += (end - ini - dt);
+        }
       float mi = mittel / (float)ITERATIONS;
       printf(" Generate a WorldEntity object:\t\t%11.2f\n", mi);
-      
+
       /*
-	mittel = 0;
-	for(i = 0; i < ITERATIONS; ++i)
-	{
-	rdtscl(ini);
-	
-	WorldEntity* w = new Primitive(P_SPHERE);
-	
-	rdtscl(end);
-	delete w;
-	mittel += (end - ini - dt);
-	}
-	mi = mittel / (float)ITERATIONS;
-	printf(" Generate a Primitive  object:\t\t%11.2f\n", mi);
+        mittel = 0;
+        for(i = 0; i < ITERATIONS; ++i)
+        {
+        rdtscl(ini);
+
+        WorldEntity* w = new Primitive(P_SPHERE);
+
+        rdtscl(end);
+        delete w;
+        mittel += (end - ini - dt);
+        }
+        mi = mittel / (float)ITERATIONS;
+        printf(" Generate a Primitive  object:\t\t%11.2f\n", mi);
       */
 
       mittel = 0;
       for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  Vector* v = new Vector();
-	  
-	  rdtscl(end);
-	  delete v;
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          Vector* v = new Vector();
+
+          rdtscl(end);
+          delete v;
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)ITERATIONS;
       printf(" Generate a Vector object:\t\t%11.2f\n", mi);
@@ -122,13 +122,13 @@
      mittel = 0;
       for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  Quaternion* q = new Quaternion();
-	  
-	  rdtscl(end);
-	  delete q;
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          Quaternion* q = new Quaternion();
+
+          rdtscl(end);
+          delete q;
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)ITERATIONS;
       printf(" Generate a Quaternion object:\t\t%11.2f\n", mi);
@@ -141,12 +141,12 @@
       w = new WorldEntity();
       for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  w->tick(0.0f);
-
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	  }
+        {
+          rdtscl(ini);
+
+          w->tick(0.0f);
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+          }
       //delete w;
       mi = mittel / (float)ITERATIONS;
@@ -157,58 +157,58 @@
       WorldEntity wo;
       for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  wo.tick(0.0f);
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	  }
+        {
+          rdtscl(ini);
+
+          wo.tick(0.0f);
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+          }
       //delete w;
       mi = mittel / (float)ITERATIONS;
       printf(" Inl virt funct tick() of WE v2: \t%11.2f\n", mi);
 
-      
+
       mittel = 0;
       BaseObject* bo = new BaseObject();
       for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  bo->isFinalized();
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	  }
+        {
+          rdtscl(ini);
+
+          bo->isFinalized();
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+          }
       //delete w;
       mi = mittel / (float)ITERATIONS;
       printf(" Inl funct BaseObject::isFinazlized(): \t%11.2f\n", mi);
 
-      
+
       tList<WorldEntity>* list = new tList<WorldEntity>();
 
-      
+
       /* ************Primitvie class test************** */
       list = new tList<WorldEntity>();
- 
-      
+
+
       /*
-	mittel = 0;
-	w = new Primitive(P_SPHERE);
-	for(i = 0; i < ITERATIONS; ++i)
-	{
-	rdtscl(ini);
-	
-	w->tick(0.0f);
-	
-	rdtscl(end);
-	mittel += (end - ini - dt);
-	}
-	mi = mittel / (float)ITERATIONS;
-	printf(" Call function tick() of Prim:\t\t%11.2f\n", mi);
+        mittel = 0;
+        w = new Primitive(P_SPHERE);
+        for(i = 0; i < ITERATIONS; ++i)
+        {
+        rdtscl(ini);
+
+        w->tick(0.0f);
+
+        rdtscl(end);
+        mittel += (end - ini - dt);
+        }
+        mi = mittel / (float)ITERATIONS;
+        printf(" Call function tick() of Prim:\t\t%11.2f\n", mi);
       */
-      
+
     }
-  
+
   if(type == 1 || type == -1)
     {
@@ -218,5 +218,5 @@
       Vector* b = new Vector(0.4, 2.5, 6.2);
       Vector* c = new Vector();
-      
+
       unsigned long mittel, ini, end;
       float mi;
@@ -225,27 +225,27 @@
       mittel = 0;
       for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *c = *a + *b;
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          *c = *a + *b;
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)VECTOR_MAX;
       printf(" Addition of two vectors:\t\t%11.2f\n", mi);
-      
+
       // multiplikation
 
       mittel = 0;
       for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *c = a->cross( *b);
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          *c = a->cross( *b);
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)VECTOR_MAX;
       printf(" CrossMult of two vectors:\t\t%11.2f\n", mi);
@@ -260,5 +260,5 @@
       Quaternion* b = new Quaternion();
       Quaternion* c = new Quaternion();
-      
+
       unsigned long mittel, ini, end;
       float mi;
@@ -269,63 +269,63 @@
       Vector* qb = new Vector(3.5, 6.1, 4.3);
       for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  Quaternion* qu = new Quaternion(*qa, *qb);
-	  
-	  rdtscl(end);
-	  delete qu;
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          Quaternion* qu = new Quaternion(*qa, *qb);
+
+          rdtscl(end);
+          delete qu;
+          mittel += (end - ini - dt);
+        }
       delete a;
       delete b;
       mi = mittel / (float)VECTOR_MAX;
       printf(" Gen. quatern. betw. two vectors:\t%11.2f\n", mi);
-      
-      
+
+
       // multiplication
       mittel = 0;
       for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *c = *a * *b;
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          *c = *a * *b;
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)VECTOR_MAX;
       printf(" Multiplying two quat.(=rot): a * b\t%11.2f\n", mi);
-      
-      
-      
+
+
+
       // rotating a vector by a quaternion
       mittel = 0;
       for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *qa = a->apply(*qb);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          *qa = a->apply(*qb);
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)VECTOR_MAX;
       printf(" Rot a vec by a quat: q->apply(v)\t%11.2f\n", mi);
-      
-      
-      
+
+
+
       // generate rotation matrix
       mittel = 0;
       float matrix[4][4];
       for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  a->matrix(matrix);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          a->matrix(matrix);
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)VECTOR_MAX;
       printf(" Generate rot matrix: q->matrix(m)\t%11.2f\n", mi);
@@ -337,5 +337,5 @@
       tList<char>* list = new tList<char>();
       char* name;
-      
+
       printf(" Adding[1..10] elements to list, found:\n");
       list->add("1");
@@ -349,5 +349,5 @@
       list->add("9");
       list->add("10");
-      
+
       /*give list out */
       tIterator<char>* iterator = list->getIterator();
@@ -355,12 +355,12 @@
       printf("  List Elements: \t\t");
       while( name != NULL)
-	{
-	  printf("%s,", name);
-	  name = iterator->nextElement();
-	}
+        {
+          printf("%s,", name);
+          name = iterator->nextElement();
+        }
       delete iterator;
       printf("\n");
-      
-      
+
+
       /*removing some elements from the list*/
       printf(" Removing elements [2,3,6,8,10], adding [11] now found:\n");
@@ -376,14 +376,14 @@
       printf("  List Elements: \t\t");
       while( name != NULL)
-	{
-	  printf("%s,", name);
-	  name = iterator->nextElement();
-	}
+        {
+          printf("%s,", name);
+          name = iterator->nextElement();
+        }
       delete iterator;
       printf("\n");
-      
+
       delete list;
       printf("\nChecking list performance:\t\t\t\t%i\n", LIST_MAX);
-      
+
       tList<int>* plist = new tList<int>();
       unsigned long mittel, ini, end;
@@ -392,28 +392,28 @@
       mittel = 0;
       for(i = 0; i < LIST_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  plist->add(&i);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          plist->add(&i);
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)LIST_MAX;
       printf(" Adding reference to list:\t\t%11.2f\n", mi);
-      
+
       mittel = 0;
       for(i = 0; i < LIST_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  plist->remove(&i);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
+        {
+          rdtscl(ini);
+
+          plist->remove(&i);
+
+          rdtscl(end);
+          mittel += (end - ini - dt);
+        }
       mi = mittel / (float)LIST_MAX;
       printf(" Removing 1st reference from list:\t%11.2f\n", mi);
-      
+
 
       printf("\nList operations tests: \t\t\t\t\t%i\n", LIST_MAX);
@@ -430,5 +430,5 @@
       list->add("9");
       list->add("10");
-      
+
       /*give list out */
       iterator = list->getIterator();
@@ -436,27 +436,27 @@
       printf("  List Elements: \t\t");
       while( name != NULL)
-	{
-	  printf("%s,", name);
-	  name = iterator->nextElement();
-	}
+        {
+          printf("%s,", name);
+          name = iterator->nextElement();
+        }
       delete iterator;
       printf("\n");
-      
-      
+
+
       int c = 0;
       printf(" Going trough list with nextElement(el) func: ");
       name = list->firstElement();
       while(c < 20)
-	{
-	  printf("%s,", name);
-	  name = list->nextElement(name);
-	  c++;
-	}
+        {
+          printf("%s,", name);
+          name = list->nextElement(name);
+          c++;
+        }
       printf("\n");
-      
-
-      
+
+
+
     }
-  
+
 }
 
Index: /orxonox/trunk/src/subprojects/benchmark.h
===================================================================
--- /orxonox/trunk/src/subprojects/benchmark.h	(revision 4553)
+++ /orxonox/trunk/src/subprojects/benchmark.h	(revision 4554)
@@ -1,6 +1,6 @@
-/*! 
+/*!
     \file benchmark.h
     \brief benchmark functions
-*/ 
+*/
 
 
Index: /orxonox/trunk/src/subprojects/framework.cc
===================================================================
--- /orxonox/trunk/src/subprojects/framework.cc	(revision 4553)
+++ /orxonox/trunk/src/subprojects/framework.cc	(revision 4554)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -36,5 +36,5 @@
 #ifdef GUI_MODULE
       while(gtk_events_pending())
-	gtk_main_iteration();
+        gtk_main_iteration();
 #endif
       // keyhandler returns false if sdl gets quit by some event
@@ -56,9 +56,9 @@
   glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT | GL_STENCIL_BUFFER_BIT);
   glLoadIdentity(); // Reset the view
-  
+
   this->moduleDraw();
-  
+
   camera->apply();
-  
+
   SDL_GL_SwapBuffers(); // Swap the buffers
 }
@@ -89,131 +89,131 @@
       switch (event.type) {
       case SDL_MOUSEMOTION:
-	{
-	  Vector view = camera->getTarget()->getAbsCoor() - camera->getAbsCoor();
-	  Vector up = Vector(0, 1, 0);
-	  up = camera->getAbsDir().apply(up);
-	  Vector h = up.cross(view);
-	  Vector v = h.cross(view);
-	  h.normalize();
-	  v.normalize();
-	  float distance = view.len();
-	  
-	  Vector newCameraPos = camera->getAbsCoor();
-	  Vector newTargetPos = camera->getTarget()->getAbsCoor();
-	  int changed = 0;
-
-	  if (mouseDown[1])
-	    {
-	      newCameraPos = camera->getRelCoor()+ (h * event.motion.xrel - v * event.motion.yrel) * .005 * distance;
-	      changed += 1;
-	    }
-	  if (mouseDown[3])
-	    {
-	      newTargetPos = camera->getTarget()->getRelCoor() + (h * event.motion.xrel - v * event.motion.yrel) * .005 * distance;
-	      changed += 2;
-	    }
-	  
-	  Vector newView = newTargetPos - newCameraPos;
-
-	  if (changed == 1)
-	    camera->setRelCoor(newCameraPos + newView * (1- distance/newView.len()));
-	  else if (changed == 2)
-	    camera->getTarget()->setRelCoor(newTargetPos - newView * (1-distance/newView.len()));
-	  else if (changed == 3)
-	    {
-	      camera->setRelCoor(newCameraPos);
-	      camera->getTarget()->setRelCoor(newTargetPos);
-	    }
-	    
-	}
-	break;
+        {
+          Vector view = camera->getTarget()->getAbsCoor() - camera->getAbsCoor();
+          Vector up = Vector(0, 1, 0);
+          up = camera->getAbsDir().apply(up);
+          Vector h = up.cross(view);
+          Vector v = h.cross(view);
+          h.normalize();
+          v.normalize();
+          float distance = view.len();
+
+          Vector newCameraPos = camera->getAbsCoor();
+          Vector newTargetPos = camera->getTarget()->getAbsCoor();
+          int changed = 0;
+
+          if (mouseDown[1])
+            {
+              newCameraPos = camera->getRelCoor()+ (h * event.motion.xrel - v * event.motion.yrel) * .005 * distance;
+              changed += 1;
+            }
+          if (mouseDown[3])
+            {
+              newTargetPos = camera->getTarget()->getRelCoor() + (h * event.motion.xrel - v * event.motion.yrel) * .005 * distance;
+              changed += 2;
+            }
+
+          Vector newView = newTargetPos - newCameraPos;
+
+          if (changed == 1)
+            camera->setRelCoor(newCameraPos + newView * (1- distance/newView.len()));
+          else if (changed == 2)
+            camera->getTarget()->setRelCoor(newTargetPos - newView * (1-distance/newView.len()));
+          else if (changed == 3)
+            {
+              camera->setRelCoor(newCameraPos);
+              camera->getTarget()->setRelCoor(newTargetPos);
+            }
+
+        }
+        break;
       case SDL_MOUSEBUTTONDOWN:
-	switch (event.button.button)
-	  {
-	  case 4:
-	    PRINTF(4)("MouseWheel up\n");
-	    camera->setRelCoor(camera->getRelCoor() + (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
-	    break;
-	  case 5:
-	    PRINTF(4)("MouseWheel down\n");
-	    camera->setRelCoor(camera->getRelCoor() - (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
-	    break;
-	  case 1:
-	  case 2:
-	  case 3:
-	    mouseDown[event.button.button] = true;
-	    break;
-	  }
-	    
-	break;
+        switch (event.button.button)
+          {
+          case 4:
+            PRINTF(4)("MouseWheel up\n");
+            camera->setRelCoor(camera->getRelCoor() + (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
+            break;
+          case 5:
+            PRINTF(4)("MouseWheel down\n");
+            camera->setRelCoor(camera->getRelCoor() - (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
+            break;
+          case 1:
+          case 2:
+          case 3:
+            mouseDown[event.button.button] = true;
+            break;
+          }
+
+        break;
       case SDL_MOUSEBUTTONUP:
-	switch (event.button.button)
-	  {
-	  case 1:
-	  case 2:
-	  case 3:
-	    mouseDown[event.button.button] = false;
-	    break;
-	  }
-	break;
+        switch (event.button.button)
+          {
+          case 1:
+          case 2:
+          case 3:
+            mouseDown[event.button.button] = false;
+            break;
+          }
+        break;
       case SDL_VIDEORESIZE:
-	GraphicsEngine::getInstance()->resolutionChanged(&event.resize);
-	break;
+        GraphicsEngine::getInstance()->resolutionChanged(&event.resize);
+        break;
       case SDL_KEYDOWN:
-	switch (event.key.keysym.sym)
-	  {
-	  case SDLK_q:
-	  case SDLK_ESCAPE:
-#ifdef GUI_MODULE
-	    quitGui(NULL, NULL);
+        switch (event.key.keysym.sym)
+          {
+          case SDLK_q:
+          case SDLK_ESCAPE:
+#ifdef GUI_MODULE
+            quitGui(NULL, NULL);
 #else
-	    this->quit();
-#endif
-	    break;
-	  case SDLK_a:
-	    camera->setRelCoor(camera->getRelCoor() + (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
-	    break;
-	  case SDLK_z:
-	    camera->setRelCoor(camera->getRelCoor() - (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
-	    break;
-	  case SDLK_r:
-	    camera->setAbsCoor(Vector(10, 10, 10));
-	    camera->getTarget()->setAbsCoor(Vector());
-	    break;
-	  case SDLK_h:
-	    this->printHelp();
-	    break;
-	  case SDLK_2:
-	    for (int i = 0; i < 3; i++)
-	      {
-		backgroundColor[i] += .1;
-		if (backgroundColor[i] > 1.0)
-		  backgroundColor[i] = 1.0;
-		GraphicsEngine::setBackgroundColor(backgroundColor[0], backgroundColor[1], backgroundColor[2], backgroundColor[3]);
-	      }
-	    break;
-	  case SDLK_1:
-	    for (int i = 0; i < 3; i++)
-	      {
-		backgroundColor[i] -= .1;
-		if (backgroundColor[i] < 0.0)
-		  backgroundColor[i] = 0.0;
-		GraphicsEngine::setBackgroundColor(backgroundColor[0], backgroundColor[1], backgroundColor[2], backgroundColor[3]);
-	      }
-	    break;
-	  }
-	break;
-	    
+            this->quit();
+#endif
+            break;
+          case SDLK_a:
+            camera->setRelCoor(camera->getRelCoor() + (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
+            break;
+          case SDLK_z:
+            camera->setRelCoor(camera->getRelCoor() - (camera->getTarget()->getAbsCoor() - camera->getAbsCoor())*.1);
+            break;
+          case SDLK_r:
+            camera->setAbsCoor(Vector(10, 10, 10));
+            camera->getTarget()->setAbsCoor(Vector());
+            break;
+          case SDLK_h:
+            this->printHelp();
+            break;
+          case SDLK_2:
+            for (int i = 0; i < 3; i++)
+              {
+                backgroundColor[i] += .1;
+                if (backgroundColor[i] > 1.0)
+                  backgroundColor[i] = 1.0;
+                GraphicsEngine::setBackgroundColor(backgroundColor[0], backgroundColor[1], backgroundColor[2], backgroundColor[3]);
+              }
+            break;
+          case SDLK_1:
+            for (int i = 0; i < 3; i++)
+              {
+                backgroundColor[i] -= .1;
+                if (backgroundColor[i] < 0.0)
+                  backgroundColor[i] = 0.0;
+                GraphicsEngine::setBackgroundColor(backgroundColor[0], backgroundColor[1], backgroundColor[2], backgroundColor[3]);
+              }
+            break;
+          }
+        break;
+
         // If a quit event was recieved
       case SDL_QUIT:
-	// then we're done and we'll end this program
-#ifdef GUI_MODULE
-	    quitGui(NULL, NULL);
+        // then we're done and we'll end this program
+#ifdef GUI_MODULE
+            quitGui(NULL, NULL);
 #else
-	    this->quit();
-#endif
-	break;
+            this->quit();
+#endif
+        break;
       default:
-	break;
+        break;
       }
 
@@ -258,5 +258,5 @@
 
   ResourceManager::getInstance()->setDataDir(DATA_DIRECTORY);
- 
+
   camera = new Camera();
 
@@ -292,5 +292,5 @@
   PRINT(0)("mouse right button - rotate the camera's target around the camera\n");
   PRINT(0)("mouse left-and-right button - move the camera and the target\n");
-  
+
   this->moduleHelp();
 
@@ -310,5 +310,5 @@
 {
   verbose = 3;
-  
+
   Framework* framework = Framework::getInstance();
 
Index: /orxonox/trunk/src/subprojects/framework.h
===================================================================
--- /orxonox/trunk/src/subprojects/framework.h	(revision 4553)
+++ /orxonox/trunk/src/subprojects/framework.h	(revision 4554)
@@ -1,5 +1,5 @@
 #ifndef _FRAMEWORK_H
 #define _FRAMEWORK_H
- 
+
 #include "vector.h"
 #include "glincl.h"
@@ -9,5 +9,5 @@
 #ifdef GUI_MODULE
 #include "gui_gtk.h"
-#endif 
+#endif
 
 #define DATA_DIRECTORY "~/orxonox/repos/trunk/data/"
@@ -20,7 +20,7 @@
   Framework();
   static Framework* singletonRef;
-  
+
   Camera* camera;
-  
+
   bool isFinished;
 
@@ -30,11 +30,11 @@
   Uint32 lastFrame;
   Uint32 currFrame;
-    
+
   Uint8* keys;        // This variable will be used in the keyboard routine
   bool mouseDown[MOUSE_BUTTON_COUNT];
 
  public:
-  ~Framework(); 
-  
+  ~Framework();
+
   /** \returns a Pointer to the only object of this Class */
   inline static Framework* getInstance(void) { if (!singletonRef) singletonRef = new Framework();  return singletonRef; };
@@ -48,5 +48,5 @@
   void moduleTick(float dt);
   void moduleDraw(void) const;
-  
+
   void moduleHelp(void) const;
 
Index: /orxonox/trunk/src/subprojects/gui/gui_main.cc
===================================================================
--- /orxonox/trunk/src/subprojects/gui/gui_main.cc	(revision 4553)
+++ /orxonox/trunk/src/subprojects/gui/gui_main.cc	(revision 4554)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -16,5 +16,5 @@
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
-   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
 
Index: /orxonox/trunk/src/subprojects/importer/importer.cc
===================================================================
--- /orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4553)
+++ /orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4554)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -33,5 +33,5 @@
   else if (argc>=2)
     obj = new OBJModel(argv[1]);
-  else 
+  else
     obj = new PrimitiveModel(PRIM_CYLINDER);
 
@@ -56,8 +56,8 @@
     case SDL_KEYDOWN:
       switch (event->key.keysym.sym)
-	{
-	case SDLK_i:
-	  break;
-	}
+        {
+        case SDLK_i:
+          break;
+        }
     }
 }
@@ -65,5 +65,5 @@
 void Framework::moduleTick(float dt)
 {
-  
+
 }
 
@@ -78,4 +78,4 @@
 void Framework::moduleHelp(void) const
 {
-  
+
 }
Index: /orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- /orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4553)
+++ /orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4554)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -84,10 +84,10 @@
     case SDL_KEYDOWN:
       switch (event->key.keysym.sym)
-	{
-	case SDLK_i:
-	  ParticleEngine::getInstance()->debug();
-	  PhysicsEngine::getInstance()->debug();
-	  break;
-	}
+        {
+        case SDLK_i:
+          ParticleEngine::getInstance()->debug();
+          PhysicsEngine::getInstance()->debug();
+          break;
+        }
     }
 }
@@ -122,33 +122,33 @@
     {
       if (!strcmp(name, "EmissionRate"))
-	{
-	  tmpEmit->setEmissionRate(atof(value));
-	  PRINT(4)("EmissionRate set to %f\n", atof(value));
-	}
+        {
+          tmpEmit->setEmissionRate(atof(value));
+          PRINT(4)("EmissionRate set to %f\n", atof(value));
+        }
       else if (!strcmp(name, "Velocity"))
-	{
-	  tmpEmit->setEmissionVelocity(atof(value));
-	  PRINT(4)("Velocity set to %f\n", atof(value));
-	}
+        {
+          tmpEmit->setEmissionVelocity(atof(value));
+          PRINT(4)("Velocity set to %f\n", atof(value));
+        }
       else if(!strcmp(name, "SpreadAngle"))
-	{
-	  tmpEmit->setSpread(atof(value), 0);
-	  PRINT(4)("SpreadAngle set to %f\n", atof(value));
-	}
+        {
+          tmpEmit->setSpread(atof(value), 0);
+          PRINT(4)("SpreadAngle set to %f\n", atof(value));
+        }
       else if(!strcmp(name, "EmitterType"))
-	{
-	  if (!strcmp(value, "EMITTER_DOT"))
-	    tmpEmit->setType(EMITTER_DOT);
-	  else if (!strcmp(value, "EMITTER_PLANE"))
-	    tmpEmit->setType(EMITTER_PLANE);
-	  else if (!strcmp(value, "EMITTER_CUBE"))
-	    tmpEmit->setType(EMITTER_CUBE);
-	  PRINT(4)("EmitterType set to %s\n", value);
-	}
+        {
+          if (!strcmp(value, "EMITTER_DOT"))
+            tmpEmit->setType(EMITTER_DOT);
+          else if (!strcmp(value, "EMITTER_PLANE"))
+            tmpEmit->setType(EMITTER_PLANE);
+          else if (!strcmp(value, "EMITTER_CUBE"))
+            tmpEmit->setType(EMITTER_CUBE);
+          PRINT(4)("EmitterType set to %s\n", value);
+        }
       else if(!strcmp(name, "EmitterSize"))
-	{
-	  tmpEmit->setSize(atof(value));
-	  PRINT(4)("EmitterSize set to %f\n", atof(value));
-	}
+        {
+          tmpEmit->setSize(atof(value));
+          PRINT(4)("EmitterSize set to %f\n", atof(value));
+        }
     }
   delete value;
@@ -166,55 +166,55 @@
     {
       if (!strcmp(name, "StartRadius"))
-	{
-	  tmpSys->setRadius(atof(value), tmpSys->getEndRadius());
-	  PRINT(4)("ParticleStartRadius set to %f\n", atof(value));
-	}
+        {
+          tmpSys->setRadius(atof(value), tmpSys->getEndRadius());
+          PRINT(4)("ParticleStartRadius set to %f\n", atof(value));
+        }
       else if (!strcmp(name, "EndRadius"))
-	{
-	  tmpSys->setRadius( tmpSys->getStartRadius(), atof(value));
-	  PRINT(4)("ParticleEndRadius set to %f\n", atof(value));
-	}
+        {
+          tmpSys->setRadius( tmpSys->getStartRadius(), atof(value));
+          PRINT(4)("ParticleEndRadius set to %f\n", atof(value));
+        }
 
       else if (!strcmp(name, "LifeSpan"))
-	{
-	  tmpSys->setLifeSpan(atof(value));
-	  PRINT(4)("ParticleLifeSpan set to %f\n", atof(value));
-	}
+        {
+          tmpSys->setLifeSpan(atof(value));
+          PRINT(4)("ParticleLifeSpan set to %f\n", atof(value));
+        }
 
       else if (!strcmp(name, "Mass"))
-	{
-	  tmpSys->setMass(atof(value));
-	  PRINT(4)("ParticleMass set to %f\n", atof(value));
-	}
+        {
+          tmpSys->setMass(atof(value));
+          PRINT(4)("ParticleMass set to %f\n", atof(value));
+        }
 
       else if (!strcmp(name, "ConserveFactor"))
-	{
-	  tmpSys->setConserve(atof(value));
-	  PRINT(4)("ParticleConserveFactor set to %f\n", atof(value));
-	}
+        {
+          tmpSys->setConserve(atof(value));
+          PRINT(4)("ParticleConserveFactor set to %f\n", atof(value));
+        }
 
       else if (!strcmp(name, "ParticleType"))
-	{
-	  if (!strcmp(value, "PARTICLE_DOT"))
-	    tmpSys->setType(PARTICLE_DOT);
-	  else if (!strcmp(value, "PARTICLE_SPARK"))
-	    tmpSys->setType(PARTICLE_SPARK);
-	  else if (!strcmp(value, "PARTICLE_SPRITE"))
-	    tmpSys->setType(PARTICLE_SPRITE);
-
-	  PRINT(4)("ParticleType set to %s\n", value);
-	}
+        {
+          if (!strcmp(value, "PARTICLE_DOT"))
+            tmpSys->setType(PARTICLE_DOT);
+          else if (!strcmp(value, "PARTICLE_SPARK"))
+            tmpSys->setType(PARTICLE_SPARK);
+          else if (!strcmp(value, "PARTICLE_SPRITE"))
+            tmpSys->setType(PARTICLE_SPRITE);
+
+          PRINT(4)("ParticleType set to %s\n", value);
+        }
 
       else if (!strcmp(name, "InheritSpeed"))
-	{
-	  tmpSys->setInheritSpeed(atof(value));
-	  PRINT(4)("ParticleInheritSpeed set to %f\n", atof(value));
-	}
+        {
+          tmpSys->setInheritSpeed(atof(value));
+          PRINT(4)("ParticleInheritSpeed set to %f\n", atof(value));
+        }
       else if (!strcmp(name, "RandomColor"))
-	{
-	  tmpSys->setColor((float)rand()/RAND_MAX, (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, 1, 
-			   (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, .5, 
-			   (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, 0);
-	}
+        {
+          tmpSys->setColor((float)rand()/RAND_MAX, (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, 1,
+                           (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, .5,
+                           (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, (float)rand()/RAND_MAX, 0);
+        }
     }
   delete value;
@@ -248,7 +248,7 @@
 {
   Window* guiMainWindow = NULL;
-  
+
   initGUI(0, NULL);
-  
+
   guiMainWindow = new Window("ParticlesFUN");
   {
@@ -257,116 +257,116 @@
       Frame* emitterFrame = new Frame("emitter-settings");
       {
-	Box* emitterBox = new Box('v');
-	{
-	  emitterBox->fill(new Label("EmissionRate"));
-	  Slider* EmissionRate = new Slider("EmissionRate", 0, 1000);
-	  EmissionRate->connectSignal("value_changed", (void*)EmissionRate, emitterChange );
-	  EmissionRate->setValue(PINIT_EMISSION_RATE);
-	  EmissionRate->redraw();
-	  emitterBox->fill(EmissionRate);
-	  
-	  emitterBox->fill(new Label("Velocity"));
-	  Slider* velocity = new Slider("Velocity", 0, 20);
-	  velocity->setExactness(2);
-	  velocity->connectSignal("value_changed", (void*)velocity, emitterChange );
-	  velocity->setValue(PINIT_EMISSION_VELOCITY);
-	  velocity->redraw();
-	  emitterBox->fill(velocity);
-	  
-	  emitterBox->fill(new Label("SpreadAngle"));
-	  Slider* SpreadAngle = new Slider("SpreadAngle", 0, M_PI);
-	  SpreadAngle->setExactness(3);
-	  SpreadAngle->connectSignal("value_changed", (void*)SpreadAngle, emitterChange );
-	  SpreadAngle->setValue(PINIT_SPREAD_ANGLE);
-	  SpreadAngle->redraw();
-	  emitterBox->fill(SpreadAngle);
-
-	  emitterBox->fill(new Label("EmitterType"));
-	  Menu* EmitterType = new Menu("EmitterType");
-	  EmitterType->addItem("EMITTER_DOT");
-	  EmitterType->addItem("EMITTER_PLANE");
-	  EmitterType->addItem("EMITTER_CUBE");
-	  EmitterType->connectSignal("changed", (void*)EmitterType, emitterChange );
-	  EmitterType->load("EMITTER_DOT");
-	  emitterBox->fill(EmitterType);
-
-	  emitterBox->fill(new Label("EmitterSize"));
-	  Slider* EmitterSize = new Slider("EmitterSize", 0, 100);
-	  EmitterSize->setExactness(1);
-	  EmitterSize->connectSignal("value_changed", (void*)EmitterSize, emitterChange );
-	  EmitterSize->setValue(PINIT_EMITTER_SIZE);
-	  EmitterSize->redraw();
-	  emitterBox->fill(EmitterSize);
-	}
-	emitterFrame->fill(emitterBox);
+        Box* emitterBox = new Box('v');
+        {
+          emitterBox->fill(new Label("EmissionRate"));
+          Slider* EmissionRate = new Slider("EmissionRate", 0, 1000);
+          EmissionRate->connectSignal("value_changed", (void*)EmissionRate, emitterChange );
+          EmissionRate->setValue(PINIT_EMISSION_RATE);
+          EmissionRate->redraw();
+          emitterBox->fill(EmissionRate);
+
+          emitterBox->fill(new Label("Velocity"));
+          Slider* velocity = new Slider("Velocity", 0, 20);
+          velocity->setExactness(2);
+          velocity->connectSignal("value_changed", (void*)velocity, emitterChange );
+          velocity->setValue(PINIT_EMISSION_VELOCITY);
+          velocity->redraw();
+          emitterBox->fill(velocity);
+
+          emitterBox->fill(new Label("SpreadAngle"));
+          Slider* SpreadAngle = new Slider("SpreadAngle", 0, M_PI);
+          SpreadAngle->setExactness(3);
+          SpreadAngle->connectSignal("value_changed", (void*)SpreadAngle, emitterChange );
+          SpreadAngle->setValue(PINIT_SPREAD_ANGLE);
+          SpreadAngle->redraw();
+          emitterBox->fill(SpreadAngle);
+
+          emitterBox->fill(new Label("EmitterType"));
+          Menu* EmitterType = new Menu("EmitterType");
+          EmitterType->addItem("EMITTER_DOT");
+          EmitterType->addItem("EMITTER_PLANE");
+          EmitterType->addItem("EMITTER_CUBE");
+          EmitterType->connectSignal("changed", (void*)EmitterType, emitterChange );
+          EmitterType->load("EMITTER_DOT");
+          emitterBox->fill(EmitterType);
+
+          emitterBox->fill(new Label("EmitterSize"));
+          Slider* EmitterSize = new Slider("EmitterSize", 0, 100);
+          EmitterSize->setExactness(1);
+          EmitterSize->connectSignal("value_changed", (void*)EmitterSize, emitterChange );
+          EmitterSize->setValue(PINIT_EMITTER_SIZE);
+          EmitterSize->redraw();
+          emitterBox->fill(EmitterSize);
+        }
+        emitterFrame->fill(emitterBox);
       }
       windowBox->fill(emitterFrame);
-      
+
       Frame* systemFrame = new Frame("system-settings");
       {
-	Box* systemBox = new Box('v');
-	{
-	  systemBox->fill(new Label("StartRadius"));
-	  Slider* StartRadius = new Slider("StartRadius", 0, 10);
-	  StartRadius->setExactness(3);
-	  StartRadius->connectSignal("value_changed", (void*)StartRadius, systemChange );
-	  StartRadius->setValue(PINIT_START_RADIUS);
-	  StartRadius->redraw();
-	  systemBox->fill(StartRadius);
-
-	  systemBox->fill(new Label("EndRadius"));
-	  Slider* EndRadius = new Slider("EndRadius", 0, 10);
-	  EndRadius->setExactness(3);
-	  EndRadius->connectSignal("value_changed", (void*)EndRadius, systemChange );
-	  EndRadius->setValue(PINIT_END_RADIUS);
-	  EndRadius->redraw();
-	  systemBox->fill(EndRadius);
-
-	  systemBox->fill(new Label("ParticleMass"));
-	  Slider* Mass = new Slider("Mass", 0, 10);
-	  Mass->setExactness(2);
-	  Mass->connectSignal("value_changed", (void*)Mass, systemChange );
-	  Mass->setValue(PINIT_PARTICLE_MASS);
-	  Mass->redraw();
-	  systemBox->fill(Mass);
-	  
-
-	  systemBox->fill(new Label("LifeSpan"));
-	  Slider* LifeSpan = new Slider("LifeSpan", 0, 10);
-	  LifeSpan->setExactness(3);
-	  LifeSpan->connectSignal("value_changed", (void*)LifeSpan, systemChange );
-	  LifeSpan->setValue(PINIT_LIFESPAN);
-	  LifeSpan->redraw();
-	  systemBox->fill(LifeSpan);
-	  
-	  systemBox->fill(new Label("ConserveFactor"));
-	  Slider* ConserveFactor = new Slider("ConserveFactor", 0, 1);
-	  ConserveFactor->setExactness(3);
-	  ConserveFactor->connectSignal("value_changed", (void*)ConserveFactor, systemChange );
-	  ConserveFactor->setValue(PINIT_CONSERVE_FACTOR);
-	  ConserveFactor->redraw();
-	  systemBox->fill(ConserveFactor);
-
-	  systemBox->fill(new Label("ParticleType"));
-	  Menu* ParticleType = new Menu("ParticleType");
-	  ParticleType->addItem("PARTICLE_DOT");
-	  ParticleType->addItem("PARTICLE_SPARK");
-	  ParticleType->addItem("PARTICLE_SPRITE");
-	  ParticleType->connectSignal("changed", (void*)ParticleType, systemChange );	  
-	  ParticleType->load("PARTICLE_SPRITE");
-	  systemBox->fill(ParticleType);
-	  
-	  systemBox->fill(new Label("InheritSpeed"));
-	  Slider* InheritSpeed = new Slider("InheritSpeed", 0, 1);
-	  InheritSpeed->setExactness(3);
-	  InheritSpeed->connectSignal("value_changed", (void*)InheritSpeed, systemChange );
-	  systemBox->fill(InheritSpeed);
-
-	  Button* RandomColor = new Button("RandomColor");
-	  RandomColor->connectSignal("released", (void*)RandomColor, systemChange);
-	  systemBox->fill(RandomColor);
-
-	}
-	systemFrame->fill(systemBox);
+        Box* systemBox = new Box('v');
+        {
+          systemBox->fill(new Label("StartRadius"));
+          Slider* StartRadius = new Slider("StartRadius", 0, 10);
+          StartRadius->setExactness(3);
+          StartRadius->connectSignal("value_changed", (void*)StartRadius, systemChange );
+          StartRadius->setValue(PINIT_START_RADIUS);
+          StartRadius->redraw();
+          systemBox->fill(StartRadius);
+
+          systemBox->fill(new Label("EndRadius"));
+          Slider* EndRadius = new Slider("EndRadius", 0, 10);
+          EndRadius->setExactness(3);
+          EndRadius->connectSignal("value_changed", (void*)EndRadius, systemChange );
+          EndRadius->setValue(PINIT_END_RADIUS);
+          EndRadius->redraw();
+          systemBox->fill(EndRadius);
+
+          systemBox->fill(new Label("ParticleMass"));
+          Slider* Mass = new Slider("Mass", 0, 10);
+          Mass->setExactness(2);
+          Mass->connectSignal("value_changed", (void*)Mass, systemChange );
+          Mass->setValue(PINIT_PARTICLE_MASS);
+          Mass->redraw();
+          systemBox->fill(Mass);
+
+
+          systemBox->fill(new Label("LifeSpan"));
+          Slider* LifeSpan = new Slider("LifeSpan", 0, 10);
+          LifeSpan->setExactness(3);
+          LifeSpan->connectSignal("value_changed", (void*)LifeSpan, systemChange );
+          LifeSpan->setValue(PINIT_LIFESPAN);
+          LifeSpan->redraw();
+          systemBox->fill(LifeSpan);
+
+          systemBox->fill(new Label("ConserveFactor"));
+          Slider* ConserveFactor = new Slider("ConserveFactor", 0, 1);
+          ConserveFactor->setExactness(3);
+          ConserveFactor->connectSignal("value_changed", (void*)ConserveFactor, systemChange );
+          ConserveFactor->setValue(PINIT_CONSERVE_FACTOR);
+          ConserveFactor->redraw();
+          systemBox->fill(ConserveFactor);
+
+          systemBox->fill(new Label("ParticleType"));
+          Menu* ParticleType = new Menu("ParticleType");
+          ParticleType->addItem("PARTICLE_DOT");
+          ParticleType->addItem("PARTICLE_SPARK");
+          ParticleType->addItem("PARTICLE_SPRITE");
+          ParticleType->connectSignal("changed", (void*)ParticleType, systemChange );
+          ParticleType->load("PARTICLE_SPRITE");
+          systemBox->fill(ParticleType);
+
+          systemBox->fill(new Label("InheritSpeed"));
+          Slider* InheritSpeed = new Slider("InheritSpeed", 0, 1);
+          InheritSpeed->setExactness(3);
+          InheritSpeed->connectSignal("value_changed", (void*)InheritSpeed, systemChange );
+          systemBox->fill(InheritSpeed);
+
+          Button* RandomColor = new Button("RandomColor");
+          RandomColor->connectSignal("released", (void*)RandomColor, systemChange);
+          systemBox->fill(RandomColor);
+
+        }
+        systemFrame->fill(systemBox);
       }
       windowBox->fill(systemFrame);
@@ -374,44 +374,44 @@
       Frame* fieldsFrame = new Frame("Field-Settings");
       {
-	Box* fieldsBox = new Box('v');
-	{
-	  fieldsBox->fill(new Label("Gravity"));
-	  Slider* Gravity = new Slider("Gravity", 0, 10);
-	  Gravity->setExactness(1);
-	  Gravity->connectSignal("value_changed", (void*)Gravity, fieldsChange );
-	  Gravity->setValue(0);
-	  Gravity->redraw();
-	  fieldsBox->fill(Gravity);
-
-
-	  fieldsBox->fill(new Label("Twirl"));
-	  Slider* Twirl = new Slider("Twirl", 0, 10);
-	  Twirl->setExactness(1);
-	  Twirl->connectSignal("value_changed", (void*)Twirl, fieldsChange );
-	  Twirl->setValue(0);
-	  Twirl->redraw();
-	  fieldsBox->fill(Twirl);
-
-
-	  fieldsBox->fill(new Label("PointGravity"));
-	  Slider* PointGravity = new Slider("PointGravity", 0, 10);
-	  PointGravity->setExactness(1);
-	  PointGravity->connectSignal("value_changed", (void*)PointGravity, fieldsChange );
-	  PointGravity->setValue(0);
-	  PointGravity->redraw();
-	  fieldsBox->fill(PointGravity);
-
-	}
-	fieldsFrame->fill(fieldsBox);
+        Box* fieldsBox = new Box('v');
+        {
+          fieldsBox->fill(new Label("Gravity"));
+          Slider* Gravity = new Slider("Gravity", 0, 10);
+          Gravity->setExactness(1);
+          Gravity->connectSignal("value_changed", (void*)Gravity, fieldsChange );
+          Gravity->setValue(0);
+          Gravity->redraw();
+          fieldsBox->fill(Gravity);
+
+
+          fieldsBox->fill(new Label("Twirl"));
+          Slider* Twirl = new Slider("Twirl", 0, 10);
+          Twirl->setExactness(1);
+          Twirl->connectSignal("value_changed", (void*)Twirl, fieldsChange );
+          Twirl->setValue(0);
+          Twirl->redraw();
+          fieldsBox->fill(Twirl);
+
+
+          fieldsBox->fill(new Label("PointGravity"));
+          Slider* PointGravity = new Slider("PointGravity", 0, 10);
+          PointGravity->setExactness(1);
+          PointGravity->connectSignal("value_changed", (void*)PointGravity, fieldsChange );
+          PointGravity->setValue(0);
+          PointGravity->redraw();
+          fieldsBox->fill(PointGravity);
+
+        }
+        fieldsFrame->fill(fieldsBox);
       }
       windowBox->fill(fieldsFrame);
-      
+
       Button* quitButton = new Button("quit");
-      
+
       quitButton->connectSignal("clicked", NULL, quitGui);
       //  Window::mainWindow->connectSignal("remove", this, GuiExec::quitGui);
       Window::mainWindow->connectSignal("destroy", NULL, quitGui);
       windowBox->fill(quitButton);
-      
+
     }
     guiMainWindow->fill(windowBox);
